Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.builder.support
Class FlowBuilderServices

    java.lang.Object
      org.springframework.webflow.engine.builder.support.FlowBuilderServices

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware

    public class FlowBuilderServices

extends java.lang.Object
implements org.springframework.context.ApplicationContextAware, org.springframework.beans.factory.InitializingBean

A simple holder for configuring the services used by flow builders. These services are exposed to a builder in a `FlowBuilderContext`. Note this class does not attempt to default any service implementations other than the `FlowArtifactFactory`, which is more like builder helper objects than a service. It is expected clients inject non-null references to concrete service implementations appropriate for their environment.

Author:
  Keith Donald
See Also:
  `FlowBuilderContextImpl`

Constructor Summary
`FlowBuilderServices()`

Method Summary
`void` | `afterPropertiesSet()`
`org.springframework.context.ApplicationContext` | `getApplicationContext()`
`ConversionService` | `getConversionService()`
`boolean` | `getDevelopment()`
`ExpressionParser` | `getExpressionParser()`
`FlowArtifactFactory` | `getFlowArtifactFactory()`
`org.springframework.validation.Validator` | `getValidator()`
`ViewFactoryCreator` | `getViewFactoryCreator()`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`void` | `setConversionService(ConversionService conversionService)`
`void` | `setDevelopment(boolean development)`
`void` | `setExpressionParser(ExpressionParser expressionParser)`
`void` | `setFlowArtifactFactory(FlowArtifactFactory flowArtifactFactory)`
`void` | `setValidator(org.springframework.validation.Validator validator)`
`void` | `setViewFactoryCreator(ViewFactoryCreator viewFactoryCreator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowBuilderServices

    public FlowBuilderServices()

Method Detail

### getFlowArtifactFactory

    public FlowArtifactFactory getFlowArtifactFactory()

### setFlowArtifactFactory

    public void setFlowArtifactFactory(FlowArtifactFactory flowArtifactFactory)

### getViewFactoryCreator

    public ViewFactoryCreator getViewFactoryCreator()

### setViewFactoryCreator

    public void setViewFactoryCreator(ViewFactoryCreator viewFactoryCreator)

### getConversionService

    public ConversionService getConversionService()

### setConversionService

    public void setConversionService(ConversionService conversionService)

### getExpressionParser

    public ExpressionParser getExpressionParser()

### setExpressionParser

    public void setExpressionParser(ExpressionParser expressionParser)

### getValidator

    public org.springframework.validation.Validator getValidator()

### setValidator

    public void setValidator(org.springframework.validation.Validator validator)

### getDevelopment

    public boolean getDevelopment()

### setDevelopment

    public void setDevelopment(boolean development)

### getApplicationContext

    public org.springframework.context.ApplicationContext getApplicationContext()

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                               throws org.springframework.beans.BeansException

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
  Throws:
    `org.springframework.beans.BeansException`

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD